MWProParserInternal::TextZone Struct Reference

Internal: a struct used to store a text zone. More...

## Public Member Functions

| TextZone ()

## Public Attributes

int | m_textLength
| the text length More...
std::vector< MWAWEntry > | m_entries
| the list of entries More...
std::vector< TextZoneData > | m_ids [2]
| two vector list of id ( charIds, paragraphIds) More...
std::vector< Token > | m_tokens
| the tokens list More...
bool | m_parsed
| true if the zone is sended More...

## Detailed Description

Internal: a struct used to store a text zone.

## Constructor & Destructor Documentation

MWProParserInternal::TextZone::TextZone | ( |  | ) |

inline

## Member Data Documentation

std::vector<MWAWEntry> MWProParserInternal::TextZone::m_entries

the list of entries

std::vector<TextZoneData> MWProParserInternal::TextZone::m_ids[2]

two vector list of id ( charIds, paragraphIds)

bool MWProParserInternal::TextZone::m_parsed

true if the zone is sended

int MWProParserInternal::TextZone::m_textLength

the text length

std::vector<Token> MWProParserInternal::TextZone::m_tokens

the tokens list

The documentation for this struct was generated from the following file:

- MWProParser.cxx